Skip to main content

Create a fleet inspection

POST 

/fleets

Creates an active fleet inspection for the authenticated insurer. Personal fleets require proof of address and director identity documents. Corporate fleets require CAC, MEMART, and director identity documents.

Request​

Body

required
    name stringrequired

    Possible values: >= 3 characters and <= 150 characters

    Fleet name. Must be unique for the authenticated insurer.

    inspection_type stringrequired

    Possible values: [personal, corporate]

    company_name stringrequired

    Possible values: >= 3 characters

    company_email emailrequired

    Possible values: <= 100 characters

    company_phone_no stringrequired
    proof_of_address binary

    Required for personal fleets. PNG, JPEG, or PDF with a maximum size of 1500 KB.

    director_identity_card binaryrequired

    Required for all fleets. PNG, JPEG, or PDF with a maximum size of 1500 KB.

    cac_document binary

    Required for corporate fleets. PNG, JPEG, or PDF with a maximum size of 1500 KB.

    memart binary

    Required for corporate fleets. PNG, JPEG, or PDF with a maximum size of 1500 KB.

Responses​

Fleet inspection created successfully.

Schema
    data object
    uid string

    Fleet ULID used in fleet API URLs.

    id string

    Alias of uid.

    inspection_type string

    Possible values: [personal, corporate]

    name string
    company_name string
    company_phone_no string
    company_email email
    status string
    payment_status string
    policy_start_date datenullable
    policy_end_date datenullable
    meta object[]

    Uploaded fleet documents. Returned by the get operation.

  • Array [
  • type string
    url uri
    file string
  • ]
  • insurer object

    Returned by the get operation.

    id integer
    code string
    has_policies integer

    Number of policies attached to the fleet.

    vehicles_count integer
    created_at date-time
    inspection_link uri
Loading...